package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PtovtaDiversosDAO;
import com.rjconsultores.ventaboletos.dao.PtovtaEmpresaBloqueadaDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaDiversos;
import com.rjconsultores.ventaboletos.entidad.PtovtaEmpresaBloqueada;

@Repository("ptovtaEmpresaBloqueadaDAO")
public class PtovtaEmpresaBloqueadaHibernateDAO extends GenericHibernateDAO<PtovtaEmpresaBloqueada, Integer>
	implements PtovtaEmpresaBloqueadaDAO {

    @Autowired
    public PtovtaEmpresaBloqueadaHibernateDAO(
            @Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<PtovtaEmpresaBloqueada> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.addOrder(Order.asc("ptovtaempbloqueadaId"));
        
        return c.list();
    }

    public List<PtovtaEmpresaBloqueada> buscar(int id) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("ptovtaempbloqueadaId", id));
        

        return c.list();
    }

   
}

